## org.red5.server.adapter
Interface ApplicationMBean

All Known Implementing Classes:
  ApplicationAdapter, MultiThreadedApplicationAdapter

    public interface ApplicationMBean

JMX mbean for Application.

Author:
  Paul Gregoire (mondain@gmail.com)

Method Summary
`boolean` `appConnect(IConnection conn, Object[] params)`
`void` `appDisconnect(IConnection conn)`
`boolean` `appJoin(IClient client, IScope app)`
`void` `appLeave(IClient client, IScope app)`
`boolean` `appStart(IScope app)`
`void` `appStop(IScope app)`
`boolean` `roomConnect(IConnection conn, Object[] params)`
`void` `roomDisconnect(IConnection conn)`
`boolean` `roomJoin(IClient client, IScope room)`
`void` `roomLeave(IClient client, IScope room)`
`boolean` `roomStart(IScope room)`
`void` `roomStop(IScope room)`

Method Detail

### appStart

    boolean appStart(IScope app)

### appConnect

    boolean appConnect(IConnection conn,
                       Object[] params)

### appJoin

    boolean appJoin(IClient client,
                    IScope app)

### appDisconnect

    void appDisconnect(IConnection conn)

### appLeave

    void appLeave(IClient client,
                  IScope app)

### appStop

    void appStop(IScope app)

### roomStart

    boolean roomStart(IScope room)

### roomConnect

    boolean roomConnect(IConnection conn,
                        Object[] params)

### roomJoin

    boolean roomJoin(IClient client,
                     IScope room)

### roomDisconnect

    void roomDisconnect(IConnection conn)

### roomLeave

    void roomLeave(IClient client,
                   IScope room)

### roomStop

    void roomStop(IScope room)

Copyright © 2006-2010 The Red5 Project